<?php
// This file is part of
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

require_once('forms_lang.php');

$string['gradeimporter'] = 'Grade Importer';
$string['pluginname'] = 'Grade Importer';

$string['modulename'] = 'Grade Importer';
$string['modulenameplural'] = 'Grade Importers';

$string['gradeimporterintro'] = 'This module facilitates...';
$string['gradeimportername'] = 'Grade Importer Name';
$string['pluginadministration'] = 'plugin administration string';
$string['displayingview'] = 'Posted Grades';

// Submission.php
$string['invalidgradeimporterid'] = 'Invalid Grade Importer ID';
$string['submissionadded'] = "Submission added to DB";
$string['newsubmission'] = "Add new submission";

// FormStrings

    // Generic
    $string['description'] = 'Description';
    $string['visibility'] = 'Can students see this?';
    $string['name'] = 'Name';
    $string['yes'] = 'Yes';
    $string['no'] = 'no';

    // Generic error Messages
    $string['error_nameField'] = 'Insert a name';


    // GradeImporter form
    $string['general'] = 'General informations';
    $string['visibilityOn'] = 'Students can see this';
    $string['visibilityOff'] = 'Students can\'t see this';

    // Submission form

    // Subtypes
        $string['exam'] = 'Exam';
        $string['activity'] = 'Activity';

    // GradeImporter form errors



    // Submission form

    $string['gradebookN'] = 'This submission goes to gradebook';
    $string['gradebookY'] = 'This submission does not go to gradebook';
    $string['submissionFiles'] = 'Students feedback file';
    $string['submissionDescription'] = 'Submission description';
    $string['submissionType'] = 'Submission Type';
    $string['visibilityYN'] = 'Visiblity';
    $string['csvdelimiter'] = 'csv delimiter';
    $string['filehandling'] = 'File handling';
    $string['gradebookYN'] = 'Gradebook';
    $string['visibilityYN'] = 'Students can see this submission';


    // Submission form help buttons
    $string['submissionType_help'] = 'Choose submission type (e.g. Exam, Activity)';
    $string['submissionFiles_help'] = 'Must be only one file, either a .zip or a .csv';
    $string['csvdelimiter_help'] = 'CSV delimiter of the config.csv file';
    $string['gradebookYN_help'] = 'Yes, results go to gradebook \n No, Results don\'t go to gradebook';
    $string['visibilityYN_help'] = 'Yes, this is available to students \n No, This is not available to students';

    // Submission form errors


// Submission type
    $string['newsubtype'] = 'Add new submission type';

    // Submission type help
    $string['newsubtype_help'] = 'Goes to new sub type form (sub type examples: Exam, Test, Activity)';

// Events string
    $string['eventmodelsubmissioncreated'] = 'Submission created';

$string['downloadconfigcsv'] = 'Download config CSV';

// View - table presentation
$string['student']      = 'Student';
$string['type']         = 'Type';
$string['submission']   = 'Submission';
$string['comment']      = 'Comment';
$string['grade']        = 'Grade';
$string['file']         = 'File';
$string['nameCol']      = 'Name';
$string['editSub']      = "Edit this submission";

// Access Errors
    $string['guestnoedit'] = "Guests can't edit forms";
