# Important Links

## Repositories

- [gradeimporter](http://200.144.254.107/git/bernardo/gradeImporter)
- [iassign - working activity plugin developed by LInE](http://200.144.254.107/git/LInE/iassign)

## Moodle

- [Moodle School](https://moodledev.moodle.school/ )
- [Repository Plugin - MoodleDocs](https://docs.moodle.org/dev/Repository_plugins)
- [New module documentation](https://docs.moodle.org/dev/Tutorial)
- [Introduction to Activity modules](https://docs.moodle.org/dev/Activity_modules)

### Support plugins

- [XMLDB](https://docs.moodle.org/dev/Using_XMLDB)
  - Plugin to facilitate building DB tables and fields description file (install.xml)
- [PluginSkel](https://moodle.org/plugins/tool_pluginskel)
  - Creates a skeleton of the plugin you aim to build giving files and folders needed for it to work

### APIs

- [Core API](https://docs.moodle.org/dev/Core_APIs#Form_API_.28form.29)
  - List of all APIs and their documentations
- [Form API](https://docs.moodle.org/dev/Form_API)
  - Formulary API, how to add and manipulate fields
- [Data Manipulation](https://docs.moodle.org/dev/Data_manipulation_API)
  - Functions to access Moodle DB
- [String API](https://docs.moodle.org/dev/String_API)
- [File API](https://docs.moodle.org/dev/File_API)
  - Manage files stored by moodle
  - [Files in Forms](https://docs.moodle.org/dev/Using_the_File_API_in_Moodle_forms)
    - How to use File API inside forms
  - [File API internals](https://docs.moodle.org/dev/File_API_internals)
    - How the File API works internally
